<?php
declare (strict_types = 1);

namespace app\admin\model\v1;

use app\common\model\ArticleCategoryBaseModel;
use think\model\concern\SoftDelete;

/**
 * @mixin \think\Model
 */
class ArticleCategoryModel extends ArticleCategoryBaseModel
{
    // 启动软删除
    use SoftDelete;
    // 软删除标记数据字段
    protected $deleteTime = 'deleted_at';

    // 根据语言查询
    public function scopeLanguage($query, $lang_id)
    {
        $query->where('language_id', '=', $lang_id);
    }

    // 根据是否显示查询
    public function scopeIsShow($query, bool $is_show)
    {
        $query->where('is_show', '=', (int)$is_show);
    }

    // 搜索分类名
    public function searchNameAttr($query, $value, $data)
    {
        $query->where('name', 'like', '%' . $value . '%');
    }
}
